package com.energy.manage.service.domain.dto.windfield;

import lombok.Getter;
import lombok.Setter;

import java.util.List;

@Getter
@Setter
public class WindFieldUpdateDto {

    /**
     * 企业编号
     */
    private String companyCode;
    /**
     * 风场编号
     */
    private String fieldCode;
    /**
     * 风场名称
     */
    private String fieldName;
    /**
     * 空气密度 - 合同
     */
    private String density;

    /**
     * 风机数量
     */
    private Integer engineNumber;

    /**
     * 总额定容量
     */
    private Integer ratedCapacityNumber;

    /**
     * 启用状态
     */
    private Integer state;
    /**
     * 省编号
     */
    private Integer provinceId;
    /**
     * 省名字
     */
    private String provinceName;
    /**
     * 市编号
     */
    private Integer cityId;
    /**
     * 市名字
     */
    private String cityName;
    /**
     * 经度
     */
    private String longitude;
    /**
     * 纬度
     */
    private String latitude;
    /**
     * 海拔高度
     */
    private String elevationHeight;

    /**
     * 测风塔
     */
    private List<WindFieldDto.AnemometerTowerRelationDto> anemometerTowerRelationDtos;


    public static class AnemometerTowerRelationDto{


        /**
         * 测风塔编号
         */
        private String towerCode;
        /**
         * 风场编号
         */
        private String fieldCode;

    }


}
